获取微信版本,判断当前该版本是否支持微信开放标签【wx-open-launch-app】

在开发微信打开指定app功能的时候,需要引入微信开放标签,但是微信开放标签【wx-open-launch-app】又存在对微信版本的限制【7.0.12 是其最低版本】所以现在判断如果不是该版本及以上版本。
judgeWechat(){
    let wechat = navigator.userAgent.match(/MicroMessenger\/([\d\.]+)/i) ;
    let judgewechat = wechat[1].split('.')
    if(judgewechat[0]>=7){
        if(judgewechat[1]>=0){
            if(judgewechat[2]>=12){
                this.wechatState = true
                console.log("当前符合 h5 打开指定app")                    
            }
        }
    }
},